TSTrafficServerVersionGet(3ts)

NAME
TSTrafficServerVersionGet, TSTrafficServerVersionGetMajor, TSTrafficServerVersionGetMinor, TSTrafficServerVersionGetMajor - return TrafficServer version information

LIBRARY
Apache Traffic Server plugin API

SYNOPSIS
#include <ts/ts.h>
const char *
TSTrafficServerVersionGet(void);
int
TSTrafficServerVersionGetMajor(void);
int
TSTrafficServerVersionGetMinor(void);
int
TSTrafficServerVersionGetPatch(void);

DESCRIPTION
TSTrafficServerVersionGet() returns the string that indicates the release version of Traffic Server running the plugin.

RETURN VALUES
TSTrafficServerVersionGet() returns a pointer to a string of characters that indicates the Traffic Server release version. This string must not be modified.

The other APIs return an integer version number.

EXAMPLE
#include <stdio.h>
#include <ts/ts.h>
int
check_ts_version()
{
    const char *ts_version = TSTrafficServerVersionGet();
    int result = 0;
    if (ts_version) {
        int major_ts_version = 0;
        int minor_ts_version = 0;
        int patch_ts_version = 0;
        if (sscanf(ts_version, "%d.%d.%d", &major_ts_version,
                &minor_ts_version, &patch_ts_version) != 3) {
          return 0;
        }
        /* We need at least Traffic Server 2.0 */
        if (major_ts_version >= 2) {
            result = 1;
        }
    }
    return result;
}
void
TSPluginInit (int argc, const char *argv[])
{
    TSPluginRegistrationInfo info;
    info.plugin_name = "hello-world";
    info.vendor_name = "MyCompany";
    info.support_email = "ts-api-support@MyCompany.com";
    if (!TSPluginRegister(TS_SDK_VERSION_2_0 , &info)) {
        TSError("Plugin registration failed. );
    }
    if (!check_ts_version()) {
        TSError("Plugin requires Traffic Server 2.0 or later);
        return;
    }
    TSDebug("debug-hello", "Hello World!);
}

SEE ALSO
TSAPI(3ts)